package io.renren.service;


import io.renren.entity.ConsumeTenant;

import java.util.List;

/**
 * 商户信息Service接口
 *
 * @author nichun
 * @date 2023-09-15
 */
public interface IConsumeTenantService
{
    /**
     * 查询商户信息
     *
     * @param id 商户信息主键
     * @return 商户信息
     */
    public ConsumeTenant selectConsumeTenantById(Long id);

    /**
     * 查询商户信息列表
     *
     * @param consumeTenant 商户信息
     * @return 商户信息集合
     */
    public List<ConsumeTenant> selectConsumeTenantList(ConsumeTenant consumeTenant);

    /**
     * 新增商户信息
     *
     * @param consumeTenant 商户信息
     * @return 结果
     */
    public int insertConsumeTenant(ConsumeTenant consumeTenant);

    /**
     * 修改商户信息
     *
     * @param consumeTenant 商户信息
     * @return 结果
     */
    public int updateConsumeTenant(ConsumeTenant consumeTenant);

    /**
     * 批量删除商户信息
     *
     * @param ids 需要删除的商户信息主键集合
     * @return 结果
     */
    public int deleteConsumeTenantByIds(Long[] ids);

    /**
     * 删除商户信息信息
     *
     * @param id 商户信息主键
     * @return 结果
     */
    public int deleteConsumeTenantById(Long id);
}
